### This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from sos.plugins import Plugin, UbuntuPlugin
import sys


class Supportconfig(Plugin, UbuntuPlugin):
    """Collect existing supportconfig information on Ubuntu systems
    """

    plugin_name = 'supportconfig'

    packages = ('supportconfig-ubuntu',)

    option_list = [("run", "Execute supportconfig and collect the new results", "slow", False)]

    def setup(self):
        if self.get_option("run"):
            sys.stdout.write("\r  Preparing supportconfig as requested. This will take some time")
            sys.stdout.flush()
            self.get_cmd_output_now("/usr/sbin/supportconfig -s")

        self.add_copy_spec('/var/log/css_*')

